[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'DB' (#fcl)

# TDataSet.FieldCount

Number of fields

## Declaration

Source position: db.pas line 1729

`public property TDataSet.FieldCount : LongInt read GetFieldCount;`

## Description

FieldCount is the same as Fields.Count, i.e. the number of fields. For a dataset with persistent fields (when DefaultFields is False) then this number will be always the same every time the dataset is opened. For a dataset with dynamically created fields, the number of fields may be different each time the dataset is opened.

## See also

TFields |  | Collection of #fcl.db.TField instances